Subject: Re: [ANNOUNCE] e1000 to e1000e migration of PCI Express devices

From: Andi Kleen <[email-masked]>
Date: Tue, 08 Apr 2008 16:56:52 +0200

Ingo Molnar <[email-masked]> writes:
>
> ( sidenote: isnt there some facility that selects the "better" driver in 
>   case there is an overlap between PCI IDs - with the ability for users 
>   to override that selection? )

The default action for driver auto loaders in this case is usually to load
all of them unless specially overriden. That is because there are several
cases where one PCI-ID implements multiple functions served by different
drivers. So far there is no really clean solution to this problem and for
e1000 with PCI-E IDs it would do the wrong thing.

-Andi

-------------------------------------------------------------------------
This SF.net email is sponsored by the 2008 JavaOne(SM) Conference 
Register now and save $200. Hurry, offer ends at 11:59 p.m., 
Monday, April 7! Use priority code J8TLD2. 
http://ad.doubleclick.net/clk;198757673;13503038;p?http://java.sun.com/javaone